Jump to content

Cień Czarnobyla + Gunslinger Mod


Agrael

Recommended Posts

20220303_204748.png.4b28a5cf0a54005e0ec73b7780f808a1.png.ef28622397d9ae1cc3321a1ff08a2419.jpg

Tytuł oryginalny: Адаптация Gunslinger mod для ТЧ (OGSR Engine)
Platforma: OGSR Engine
Data premiery: 05.07.2022 r. | Najnowsza wersja: 31.12.2022 r.
Autor: hardplayer22
Autor spolszczenia: @Szczepan9205


OPIS:

Spoiler

Adaptacja moda Gunslinger do Cienia Czarnobyla. 


Zmiany:

  • Przeniesienie wszystkich (gotowych w tej chwili) broni z modu Gunslinger na platformę CCz.
  • Opcjonalne przyrządy celownicze w 3D.
  • Opcjonalne PDA w 3D. (dzięki autorom OGSR Gunslinger).
  • Przeniesienie wszystkich wizualizacji (modeli oraz animacji) rąk.
  • Możliwość używania dodatkowych przyrządów celowniczych oprócz celowników optycznych.
  • Unikalne modyfikacje broni z zainstalowanymi ulepszeniami wizualnymi (dzięki autorom OGSR Gunslinger).
  • System animacji używania przedmiotów.
  • System wykrywania artefaktów tylko z detektorem, tak jak w ZP (sam spawn artefaktów również został nieco przeprojektowany. Nigdy traficie już na góry cennych artefaktów na Wysypisku, ale dzięki temu sensowne jest teraz badanie każdej pojedynczej anomalii za pomocą detektora).
  • System inwentarza z ZP (z drobnymi cechami i różnicami).

Od autora: 

Spoiler

Po zdobyciu odrobiny doświadczenia z silnikiem OGSR zacząłem rozważać zaadoptowanie Gunslingera do oryginalnej historii z Cienia Czarnobyla. Uznałem, że dobrym pomysłem będzie połączenie pierwowzoru ze świetną paczką broni. Prace nad tą adaptacją rozpocząłem jeszcze zanim został wydany OGSR Gunslinger, ale z powodu braku doświadczenia zostałem zmuszony do tymczasowego wstrzymania dalszego rozwoju. Po premierze OGSR Gunslinger, za zgodą autorów projektu, zacząłem korzystać z ich silnika, dzięki czemu mogłem dokończyć pracę nad adaptacją na poziomie, który mnie usatysfakcjonował.

Podziękowania:

Spoiler

Jestem bardzo wdzięczy następującym autorom

  • STRIFER
  • Gunslinger Mod Team
  • KRodin
  • I AM DEAD
  • i-love-kfc
  • Laucer
  • K.D.
  • KamikaZze
  • xStream
  • DEXXX
  • Mad Hikki
  • kstn
  • naxac
  • DSH
  • Ray Twitty aka Shadows
  • Сергей Сергеевич
  • XMODER-ua
  • monk
  • Mortan
  • Andrejs Green
  • LsdPro
  • unethicalrus 
  • _Mr_Vlad_

Wielkie podziękowania dla tych osób. Ich zasługa w wydaniu tej adaptacji jest znacznie większa niż moja. Jeśli o kimś zapomniałem, proszę dać mi znać, a na pewno go dodam do listy.

Ważne: 

Spoiler
  • Zalecany kąt widzenia (fov) wynosi 67,5. Jest to kąt widzenia, na którym regulowano celowanie.
  • Podczas animacji przedmiotów nie zaleca się przemieszczania między lokacjami oraz zapisywania gry. 

 

SCREENY: 

Spoiler

kAOVROI.jpg  Y5eIcOZ.jpg

O47UA4S.jpg  53VvH5s.jpg

TOJRmAn.jpg

INSTALACJA: 

Spoiler

Poprawna kolejność instalacji moda oraz spolszczenia: 

  • Cień Czarnobyla 1.0006.
  • Pobrane archiwum z modem oraz poprawką do niego należy rozpakować, a następnie umieścić w głównym katalogu z grą. 
  • Pobrane archiwum ze spolszczeniem wypakować, a następnie umieścić w głównym katalogu z grą. Jeżeli Windows poprosi o zgodę na podmianę plików to należy wyrazić zgodę.
  • Opcjonalnie zaimplementować dodatki. 
  • Grę należy uruchomić za pomocą bin_x64\xrEngine.exe.

LINKI DO POBRANIA: 

Spoiler

Mod:

  • GoogleDrive - [KLIK]

Spolszczenie:

Fix z 11.01:

  • GoogleDrive - [KLIK]

Dodatki: 

Spoiler

Model PDA z OGSR Gunslinger:

  • GoogleDrive - [KLIK]

 


Źródło: appro.jpg

 

  • Positive 7
Link to comment
Share on other sites

  • Diegtiariow changed the title to Cień Czarnobyla + Gunslinger Mod

Nie wiem o co chodzi robię wszystko jak w instrukcji instalacji ciągle mi błąd wywala ten co wyżej wysłałem. Wgrałem na wersję repack i mam to samo. Tak mam wersję 1.0006 z repacka który wysłał kolega wyżej. Podmieniam pliki i ciągle mi wywala błąd. To nawet nie bugtrap tylko odpala mi się notoatnik ze szczegółami których nie czaję. Dał by ktoś repack z gry z wgranym modem bo nie wiem już co mam zrobić.

xray_mateu_09-08-22_20-10-38.log

Edited by Szramowski
Link to comment
Share on other sites

@Szramowski
Może coś namieszałem w sposobie instalacji :063:

Tutaj mamy sposób instalacji z ap-pro i od razu przetłumaczony: 

Spoiler

Версию от 31.07 нужно устанавливать полностью по новой. Если у Вас установлена старая версия - удалите папки bin и gamedata и только после этого устанавливайте новую версию. Новая игра не обязательна, но очень желательна.

Если старых версий у вас не установлено - порядок установки обычный:

0. Если перед установкой мода у вас в папке с игрой уже есть gamedata - обязательно ее удалите.

1. Распаковать архив с модом в папку с игрой версии 1.0006

2. Поставить дополнения по желанию

3. Запускать с bin_x64\xrEngine.exe

---

Wersja z 31.07 musi być zainstalowana całkowicie od nowa. Jeśli masz zainstalowaną starą wersję - usuń foldery bin i gamedata i dopiero wtedy zainstaluj nową wersję. Nowa gra nie jest obowiązkowa, ale bardzo wskazana.

Jeśli nie masz zainstalowanej starszej wersji - kolejność instalacji jest normalna:

0. Jeśli przed instalacją moda masz w katalogu z grą folder gamedata - koniecznie go usuń.

1. Rozpakuj archiwum z modem do folderu z grą w wersji 1.0006

2. Skorzystanie z dodatków według uznania

3. Uruchomić za pomocą bin_x64\u2004.exe

 

 

Link to comment
Share on other sites

6 minut temu, Agrael napisał:

@Szramowski
Może coś namieszałem w sposobie instalacji :063:

Tutaj mamy sposób instalacji z ap-pro i od razu przetłumaczony: 

  Ukryj zawartość

Версию от 31.07 нужно устанавливать полностью по новой. Если у Вас установлена старая версия - удалите папки bin и gamedata и только после этого устанавливайте новую версию. Новая игра не обязательна, но очень желательна.

Если старых версий у вас не установлено - порядок установки обычный:

0. Если перед установкой мода у вас в папке с игрой уже есть gamedata - обязательно ее удалите.

1. Распаковать архив с модом в папку с игрой версии 1.0006

2. Поставить дополнения по желанию

3. Запускать с bin_x64\xrEngine.exe

---

Wersja z 31.07 musi być zainstalowana całkowicie od nowa. Jeśli masz zainstalowaną starą wersję - usuń foldery bin i gamedata i dopiero wtedy zainstaluj nową wersję. Nowa gra nie jest obowiązkowa, ale bardzo wskazana.

Jeśli nie masz zainstalowanej starszej wersji - kolejność instalacji jest normalna:

0. Jeśli przed instalacją moda masz w katalogu z grą folder gamedata - koniecznie go usuń.

1. Rozpakuj archiwum z modem do folderu z grą w wersji 1.0006

2. Skorzystanie z dodatków według uznania

3. Uruchomić za pomocą bin_x64\u2004.exe

 

 

Nie mam nic takiego jak u2004.exe w folderze tylko ten xrEngine.

Link to comment
Share on other sites

@SzramowskiTak po logu, co dałeś wcześniej, to wrzucasz moda, tak po prostu, na polską podstawkę ( czy tam ww ), a nie na rus-podstawkę ?

Tam we wcześniejszym poście jest literówka - to ma być xrEngine.

Po e. Dla niezapisanych do Ap-pro wrzucam plik/apkę z linka w razie problemów z Openal 32.dll

oalinst.exe

Edited by qlkin
Link to comment
Share on other sites

19 minut temu, qlkin napisał:

@SzramowskiTak po logu, co dałeś wcześniej, to wrzucasz moda, tak po prostu, na polską podstawkę ( czy tam ww ), a nie na rus-podstawkę ?

Tam we wcześniejszym poście jest literówka - to ma być xrEngine.

Po e. Dla niezapisanych do Ap-pro wrzucam plik/apkę z linka w razie problemów z Openal 32.dll

oalinst.exe 790.52 kB · 0 pobrań

Wgrałem tą apkę i też nic. Mam wersję eng ale wrzucałem też spolszczenie. (dubbing i napisy)

Ciągle loga wywala jak odpalam. Nie wiem o co chodzi odpuszczę sobie to poprostu i tyle nie będę nerwów tracił.

Link to comment
Share on other sites

Może inaczej. To jest mod na Cień, ale w wersji RUS. Masz linki do repo i tam trzeba by ściągnąć sobie SoC, ale nie wersja worldwide - tylko tą na rynek rosyjskojęzyczny. Różnice wersji wywalają na desktop. Można to przeskoczyć, ale są tego konsekwencje w wyświetlaniu nieczytelnych znaków z innej tablicy. Może to ja tu coś przekombinowuję, bo w moda nie grałem, ale trzeba mod stawiać na rus-podstawkę i wszystko wskoczy na swoje miejsce. 

Edited by qlkin
Link to comment
Share on other sites

@Szramowski

@Szramowski

Z tymi podstawkami w wersji angielskiej, jak pamiętam zawsze były problemy. Bo wersje językowe się od siebie różnią.

Aby nie mieć problemów ze stawianiem modów, radzę Ci pobrać z naszego forum repacki wstawione przez @Dziki Perun w tym temacie:

Są tam wszystkie trzy podstawki, gdzie spolszczenie i lektorów możesz dobierać samodzielnie.

I zajrzyj też do tego tematu.

 

Link to comment
Share on other sites

@kondotier

Pobierałem repacki z linku który podałeś i kolega wyżej też. Wgrywałem moda na angielską podstawkę z lektorem i tylko napisami i nic. Ciągle ten sam log wyskakuje. Może jak by ktoś mi wysłał repack z modem by zadziałało bo ja nie wiem co może być nie tak. Robię wszystko jak w opisie instalacji i ciągle ten sam log wyskakuje mimo wgrania poprawki. Jak by repack z modem nawet nie działał znaczy że z komputerem mam coś nie tak.

Link to comment
Share on other sites

@Szramowski Po to dostałeś namiar na te repacki, abyś sobie zrobił podstawkę w polskiej wersji językowej. I na takiej podstawce stawiaj moda. O angielskiej zapomnij. Po zrobieniu podstawki z repacków - w katalogu na innym dysku lub partycji niż systemowa -, koniecznie ją uruchom bez moda dla sprawdzenia. To są pewniaki i jak zrobisz wszystko poprawnie, to musowo zadziała.A jak zadziała Ci ta podstawka zrobiona z repacków, to tę angielską wersję ( skądbyś jej nie miał ) usuń z komputera.

I jeszcze jedno. Nie stawiaj moda od razu na tej zrobionej podstawce. Ją potraktuj jak świętą krowę. Ma pozostać dziewicza. Zrób jej kopię na innej niż ona się znajduje, ale nie na tej gdzie masz system. Zmień nazwę kopii na nazwę moda i dopiero do niej wgrywaj moda. A to dlatego, że wiele starszych modów ładuje się do podstawki zmieniając pliki .db. I przy następnym modzie może dojść do konfliktów, a nawet wylotów. A po skończonej grze w moda, wywalasz go do kosza razem z tą kopią podstawki, a dla nowego robisz nową kopię. Ma to też taką zaletę, że stawiając mody na kopii podstawki, możesz modów potrzebujących tej samej podstawki mieć kilka. Warunkiem tu jest tylko zmiana w pliku fsgame.ltx w linii ścieżki zapisów wskazać zapisywanie w katalogu moda. Większość nowych modów już to robi sama.

  • Thanks! 1
Link to comment
Share on other sites

@kondotier

Spróbuje i dam znać jak napisałeś.

Edit: Nie działa nadal mimo pobrania repacka i wgrania do niego spolszczenia i moda i poprawki odpalałem podstawkę ze spolszczeniem normalnie i działało elegancko a jak moda wrzuciłem to już log wyskoczył. Nie wiem o co chodzi robiłem jak pisałeś i nadal log wyskakuje. Poddaje się nie mam już na to siły. Odpuszczam gunslingera do Cienia Czarnobyla.

Edited by Szramowski
Link to comment
Share on other sites

@Szramowski No to dlaczego nie dałeś Fatal Error z wstawienia moda na repacka? Na pewno jest różny od tego poprzedniego.

Ja moda nie znam, bo takich nie używam. Są z nimi tylko problemy. No i widać, po braku wpisów, że jesteś pierwszym który go próbował uruchomić. Wybierz jakiegoś mod, który sam w sobie ma te ładniejsze pukawki. Np. Deja vu Outfater. Będziesz miał atrakcyjną grę i ładne pukawki.

 

Link to comment
Share on other sites

Panowie, ten mod da się bezproblemowo odpalić na ruskim SoC-u i na taki właśnie został zrobiony. Mod to głównie zmiany wizualne, ale trochę opisów itp. to się na tym wózku, po prostu, musiało zabrać na pakę i tyle. Może nawet i na WW by poszedł, można sobie sprawdzić, tylko wy tu, Panowie, chyba nie za bardzo ogarniacie temat. Na próbę postawiłem to na RUS podstawkę - działa jak złoto, dorobiłem w kat. 'text' katalog 'pol', do niego spolszczenie i zawartość kat. 'rus' skopiowana do tego 'pol' BEZ ZAMIANY, mała korekta w 'localization.ltx' i takim to sposobem otrzymujemy taką hybrydę - w większości po polsku. No, działać to idealnie nie będzie, ale to jest prawdopodobnie max na chwilę obecną do pol-osiągnięcia i bez skrupulatnego przeglądania plik po pliku to lepiej nie będzie. Może ktoś ma inne zdanie - temat otwarty...

A tego loga wylotu p.Szramowskiego to mogę w ciemno zgadywać:

[error]Expression    : FATAL ERROR
[error]Function      : CStringTable::Load
[error]File          : F:\Repos\OGSR-Engine\ogsr_engine\xrGame\string_table.cpp
[error]Line          : 63
[error]Description   : string table xml file not found ui_st_pda.xml, for language eng (lub pol)

Jest jeszcze jedna adaptacja Gunslingera do SoC na moddb, ale z nią chyba jest taka sama sytuacja - nawet download jest wstawiony jako przekierowanie do ap-pro.

  • Positive 2
  • Thanks! 1
Link to comment
Share on other sites

@qlkin Wyprzedziłeś mnie z tym info, że to brak zgodności plików moda i podstawki powoduje wylot. Nie dostałem fatal, więc gdybałem.

Wniosek jest jeden. Trzeba do #1 dodać informację, że mod działa tylko na rus podstawce. Bo nie wiem, czy będzie wielu chętnych grać z mieszanką liter łacińskich, grażdanki i z brakiem polskich diaktryków. 

Może jednak znajdzie się ktoś, kto spolszczy tego moda. Tylko jest pytanie, dla ilu chętnych do gry z nim?

Link to comment
Share on other sites

14 godzin temu, qlkin napisał:

Panowie, ten mod da się bezproblemowo odpalić na ruskim SoC-u i na taki właśnie został zrobiony. Mod to głównie zmiany wizualne, ale trochę opisów itp. to się na tym wózku, po prostu, musiało zabrać na pakę i tyle. Może nawet i na WW by poszedł, można sobie sprawdzić, tylko wy tu, Panowie, chyba nie za bardzo ogarniacie temat. Na próbę postawiłem to na RUS podstawkę - działa jak złoto, dorobiłem w kat. 'text' katalog 'pol', do niego spolszczenie i zawartość kat. 'rus' skopiowana do tego 'pol' BEZ ZAMIANY, mała korekta w 'localization.ltx' i takim to sposobem otrzymujemy taką hybrydę - w większości po polsku. No, działać to idealnie nie będzie, ale to jest prawdopodobnie max na chwilę obecną do pol-osiągnięcia i bez skrupulatnego przeglądania plik po pliku to lepiej nie będzie. Może ktoś ma inne zdanie - temat otwarty...

A tego loga wylotu p.Szramowskiego to mogę w ciemno zgadywać:

[error]Expression    : FATAL ERROR
[error]Function      : CStringTable::Load
[error]File          : F:\Repos\OGSR-Engine\ogsr_engine\xrGame\string_table.cpp
[error]Line          : 63
[error]Description   : string table xml file not found ui_st_pda.xml, for language eng (lub pol)

Jest jeszcze jedna adaptacja Gunslingera do SoC na moddb, ale z nią chyba jest taka sama sytuacja - nawet download jest wstawiony jako przekierowanie do ap-pro.

Kurła działa. Dzięki wielkie już miałem się poddać całkowicie.

Edit: Możesz podesłać gamedate z samym spolszczeniem ? Bo znając mnie to zaraz coś namodzę i będzie dupa a nie granie.

Edited by Szramowski
Link to comment
Share on other sites

@kondotier 

Jest pewien błąd u Sidora. Zmieniłem sobię cenę broni PM na 400k w plikach bo chciałem się pobawić na Kordonie z wojakami. Idę do Sidora sprzedać PM za 400k dostaję tam z 170k za niego i kupuję kombinezon medykamenty ammo i broń. W podstawce sprzedawałem takich kilka i nic się nie działo a w modzie po sprzedaży tego pm i kupnie wszystkiego potem jak chce sprzedać czy kupic pierdołe typu woda to wyskakuje że NPC nie ma tyle pieniędzy a ma nieograniczone zasoby przecież. Jak macie kontakt z autorem moda podeślijcie mu ten błąd bo psuje trochę zabawę.

ss_mateu_08-12-22_21-21-47_(l01_escape).png

ss_mateu_08-12-22_21-21-56_(l01_escape).png

Edited by Szramowski
Dodaję Screeny
Link to comment
Share on other sites

28 minut temu, Szramowski napisał:

@kondotier 

Jak macie kontakt z autorem moda podeślijcie mu ten błąd bo psuje trochę zabawę.

 

Chyba tobie :D

Jak się bawisz w takie zmiany to jest twój wybór, a nie, że autor moda ma dostosowywać swojego moda dla jednej osoby bo ta dla jaj chce sobie pistolet sprzedawać po 400tyś ;)

  • Positive 2
Link to comment
Share on other sites

@Szramowski Przyznaj się, w ile modów już grałeś? Bo ograniczenie kwoty jaką ma handlarz na zakup, to jest normalka. Jeśli sam zmieniłeś cenę broni, a równolegle nie zmieniłeś zasobów finansowych handlarza ( będzie to teraz działać u wszystkich ), to masz efekty. Ty na Kordonie masz biegać z pistolecikiem. 

 A odpowiedź @tom3kb na powiadamianie autora moda, weź sobie do serca. Może kiedyś ktoś zrobi moda, gdzie się będzie grało za handlarza obwoźnego ( byli już tacy, ale to nie był GB ), to tam będziesz miał pole do popisu.

DODANO. I więcej o tego moda mnie nie pytaj, bo go nie znam, nie grałem w niego i jest daaaalekim kandydatem do zagrania.

Link to comment
Share on other sites

@kondotier

W sporo modów ale nigdy zasobów handlarza nie zmieniałem bo nie musiałem.

Grałem w

Złoty Kufer

Anomaly

Powrót Szramy

Misery od pierwszych wersji typu bieda edition aż po najnowsze

Złota kula

Journey

Solyanke

Więcej nie pamiętam ale było tego bardzo dużo. Głównie się skupiam na modach fabularnych z długą fabułą a nie na 2-3 godziny bo one mnie najbardziej ciekawią.

@tom3kb

Bawię się bo chcę testować pukawki. Uwielbiam mody na zmianę animacji broni czy użycia przedmiotów a nie jak to jest w podstawkach a dzięki tej "zabawie" mogę potestować chociaż mały urywek tego co jest w modzie i przy okazji może jakieś błędy znajdę. Ograłem Cień Czarnobyla ponad setkę razy a to dla mnie jakaś nowość. Są mody na nowe bronie ale co z tego jak animacje mi się albo nie podobają albo są takie same jak w podstawkach a gunslinger dodaje bardzo dużo nowych rzeczy. Grałem w wersję na CoP i była mega. Planowałem kolejne przejście Cienia z jakimiś modami i wpadłem na gunslingera do niego.

Link to comment
Share on other sites

@Szramowski Jeśli chcesz pograć w dluuuuugiego moda, takiego na wiele tygodni, a może nawet miesięcy gry, to się weź za serię Odrodzonych. To mod składający się z dwóch części, z czego ta druga część też jest dwuczęściowa. Może ( szczególnie w pierwszej części ) nie ma fajerwerków z bronią, za to są inne, niestandardowe dla modów powszechnie znanych. Choćby gra w dwóch równoległych światach, czy przecinanie się z historią alternatywną.

  • Thanks! 1
Link to comment
Share on other sites

13 minut temu, kondotier napisał:

@Szramowski Jeśli chcesz pograć w dluuuuugiego moda, takiego na wiele tygodni, a może nawet miesięcy gry, to się weź za serię Odrodzonych. To mod składający się z dwóch części, z czego ta druga część też jest dwuczęściowa. Może ( szczególnie w pierwszej części ) nie ma fajerwerków z bronią, za to są inne, niestandardowe dla modów powszechnie znanych. Choćby gra w dwóch równoległych światach, czy przecinanie się z historią alternatywną.

Widzę że mody są spolszczone i Szrama bohaterem to odrazu ogrywam. Szrama to najbardziej tajemnicza postać w stalkerze szkoda że mało modów jest o nim. Jedyne jakie znam to powrót szramy i old story w które grałem. Dzięki za polecenie zaraz pobieram.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.